<?php
/*
   Plugin Name: Wooshark reviews for AliExpress, Amazon and woocommerce
   Plugin URI: http://wordpress.org/extend/plugins/wooreviews-importer/
   Version: 3.2.2
   Author: zizou1988
   Description: woocommerce AliExpress and Amazon review importer
   Text Domain: wooreviews-importer
   License: GPLv3
  */


$WooreviewsImporter_minimalRequiredPhpVersion = '5.0';

/**
 * Check the PHP version and give a useful error message if the user's version is less than the required version
 * @return boolean true if version check passed. If false, triggers an error which WP will handle, by displaying
 * an error message on the Admin page
 */
function WooreviewsImporter_noticePhpVersionWrong()
{
    global $WooreviewsImporter_minimalRequiredPhpVersion;
    echo '<div class="updated fade">' .
        __('Error: plugin "WooReviews importer" requires a newer version of PHP to be running.',  'wooreviews-importer') .
        '<br/>' . __('Minimal version of PHP required: ', 'wooreviews-importer') . '<strong>' . $WooreviewsImporter_minimalRequiredPhpVersion . '</strong>' .
        '<br/>' . __('Your server\'s PHP version: ', 'wooreviews-importer') . '<strong>' . phpversion() . '</strong>' .
        '</div>';
}


function WooreviewsImporter_PhpVersionCheck()
{
    global $WooreviewsImporter_minimalRequiredPhpVersion;
    if (version_compare(phpversion(), $WooreviewsImporter_minimalRequiredPhpVersion) < 0) {
        add_action('admin_notices', 'WooreviewsImporter_noticePhpVersionWrong');
        return false;
    }
    return true;
}


/**
 * Initialize internationalization (i18n) for this plugin.
 * References:
 *      http://codex.wordpress.org/I18n_for_WordPress_Developers
 *      http://www.wdmac.com/how-to-create-a-po-language-translation#more-631
 * @return void
 */
function WooreviewsImporter_i18n_init()
{
    $pluginDir = dirname(plugin_basename(__FILE__));
    load_plugin_textdomain('wooreviews-importer', false, $pluginDir . '/languages/');
}


//////////////////////////////////
// Run initialization
/////////////////////////////////



function my_admin_scripts($hook_suffix)
{

    if ('post.php' == $hook_suffix || 'post-new.php' == $hook_suffix) {

        wp_enqueue_script('bootstrap', plugin_dir_url(__FILE__) . 'js/bootstrap.min.js', array('jquery'), NULL, false);
        wp_enqueue_script('toast', plugin_dir_url(__FILE__) . 'js/jquery.toast.min.js', array('jquery'), NULL, false);
        wp_enqueue_script('reviews', plugin_dir_url(__FILE__) . 'js/reviews.js', array('jquery'), NULL, false);
        wp_enqueue_style('toastCss', plugin_dir_url(__FILE__) . 'css/jquery.toast.min.css');
        wp_enqueue_style('customss', plugin_dir_url(__FILE__) . 'css/main_hack.css');
        // wp_enqueue_style('customboots', plugin_dir_url(__FILE__) . 'css/boot_hack.css');


        // wp_enqueue_style('mdb', plugin_dir_url(__FILE__) . 'css/mdb.min.css');
        // wp_enqueue_script('bootstrap', plugin_dir_url(__FILE__) . 'js/bootstrap.min.js', array('jquery'), NULL, false);
        // wp_enqueue_script('toast', plugin_dir_url(__FILE__) . 'js/jquery.toast.min.js', array('jquery'), NULL, false);
        // wp_enqueue_style('bootstrapCss', plugin_dir_url(__FILE__) . 'css/bootstrap_1.min.css');
        // wp_enqueue_style('toastCss', plugin_dir_url(__FILE__) . 'css/jquery.toast.min.css');
        // wp_enqueue_style('custom', plugin_dir_url(__FILE__) . 'css/main.css');
        // wp_enqueue_script('reviews', plugin_dir_url(__FILE__) . 'js/reviews.js', array('jquery'), NULL, false);




        // wp_enqueue_style('custom', plugin_dir_url(__FILE__) . 'css/main.css');
        wp_localize_script(
            'reviews',
            'wooshark_params_reviews',
            array(
                'ajaxurl' => admin_url('admin-ajax.php'),
                'nonce' => wp_create_nonce('ajax-nonce')
            )
        );


        // wp_enqueue_script( 'custom_js', get_template_directory_uri() . '/inc/meta/custom.js', array( 'jquery' ));
        // wp_enqueue_style( 'custom_css', get_template_directory_uri() . '/inc/meta/custom.css')
    }
}
add_action('admin_enqueue_scripts', 'my_admin_scripts');




// Initialize i18n
add_action('plugins_loadedi', 'WooreviewsImporter_i18n_init');

// Run the version check.
// If it is successful, continue with initialization for this plugin
if (WooreviewsImporter_PhpVersionCheck()) {
    // Only load and run the init function if we know PHP version can parse it
    include_once('wooreviews-importer_init.php');
    WooreviewsImporter_init(__FILE__);
    initProductPage();
}


function initProductPage()
{



    add_action('post_submitbox_misc_actions', 'woo_add_custom_general_fields', 20);

    function woo_add_custom_general_fields()
    {

        echo ' 
        <div class="loader4" style="display:none"><div></div><div></div><div></div></div><button type="button" style="margin:10px;" id="dispayImportModal"  class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-lg"> Import reviews to product</button><div id="modal-container"></div>';
    }
}
if (get_option(base64_decode('aXNIaWRlUmV2aWV3c0Rpc3BsYXk=')) == base64_decode('WQ==')) {
    add_filter(base64_decode('d29vY29tbWVyY2VfcHJvZHVjdF90YWJz'), base64_decode('d29vX3JlbW92ZV9wcm9kdWN0X3RhYnM='), 98);
    function woo_remove_product_tabs($j0)
    {
        unset($j0[base64_decode('cmV2aWV3cw==')]);
        return $j0;
    }
    add_action(base64_decode('d29vY29tbWVyY2VfYWZ0ZXJfc2luZ2xlX3Byb2R1Y3Rfc3VtbWFyeQ=='), base64_decode('Y29tbWVudHNfdGVtcGxhdGU='), 50);
}
function custom_cron_job_recurrence($y1)
{
    $y1[base64_decode('ZXZlcnlfbW9udGg=')] = array(base64_decode('ZGlzcGxheQ==') => __(base64_decode('ZXZlcnlfbW9udGhfbGFiZWw='), base64_decode('dGV4dGRvbWFpbg==')), base64_decode('aW50ZXJ2YWw=') => 2629800,);
    return $y1;
}
add_filter(base64_decode('Y3Jvbl9zY2hlZHVsZXM='), base64_decode('Y3VzdG9tX2Nyb25fam9iX3JlY3VycmVuY2U='));
if (!wp_next_scheduled(base64_decode('cmV2LWltcC1hbGxvLW1vbi1tYXg='))) {
    wp_schedule_event(time(), base64_decode('ZXZlcnlfbW9udGg='), base64_decode('cmV2LWltcC1hbGxvLW1vbi1tYXg='));
}
add_action(base64_decode('cmV2LWltcC1hbGxvLW1vbi1tYXg='), base64_decode('d29vc2hhcmtfbXlwcmVmaXhfY3Jvbl9mdW5jdGlvbl9yZXZ1aWV3cw=='));
function wooshark_myprefix_cron_function_revuiews()
{
    update_option(base64_decode('ZmVzc3VveQ=='), base64_decode('MQ=='));
}
